Query tasks
Given a hint, the model will return one or more predicted completions and can also return the probability of the surrogate marker for each position. Complete creation for the provided prompts and parameters
GET
/v1/video/queryBody Parametersmultipart/form-data
model* string
Enum: veo2 veo2-fast veo2-fast-frames veo2-fast-components veo2-pro veo3 veo3-fast veo3-pro veo3-pro-frames
messages* array
list of messages in the conversation so far. Python code example.
stream boolean
defaults to false if set, sends partial message deltas like ChatGPT. tokens are sent as data-only server-sent events,as they become available; stream ends with data: [DONE]. Python code example.
Responses
200 application/json
response-200 object
401 Missing or invalid API Key application/json
response-401 object
properties error* object
1{
2"model": "string",
3"messages": []
4}
1curl -X GET "https://api.digislash.com/v1/video/query" \
2-H "Authorization: Bearer <API Key>"
1▼{
2"id": "033fa60e-f37c-4ff6-a44d-5585ffea938d",
3"status": "pending",
4"video_url": null,
5"enhanced_prompt": "```\nA surreal and whimsical digital painting of a majestic brown cow with large, feathered wings soaring gracefully through a vibrant blue sky. The cow has a joyful expression, its tail streaming behind it as it flies among fluffy white clouds. Below, a patchwork of green farmland stretches into the distance, with tiny farm buildings and a group of astonished farmers looking up in amazement. The scene is bathed in warm golden sunlight, creating a dreamlike and magical atmosphere. Art style inspi"…,
6"status_update_time": 1750323167003
7}
